From 7385d1e67dda100853cf748034220cdbed6b3d7c Mon Sep 17 00:00:00 2001
From: Yousong Zhou <yszhou4tech@gmail.com>
Date: Mon, 23 Mar 2020 15:54:26 +0800
Subject: [PATCH] ovn-lib: fix install_dir()

The command "install" is not available in OpenWrt by default

Signed-off-by: Yousong Zhou <yszhou4tech@gmail.com>
---
 utilities/ovn-lib.in | 5 ++++-
 1 file changed, 4 insertions(+), 1 deletion(-)

--- a/utilities/ovn-lib.in
+++ b/utilities/ovn-lib.in
@@ -54,7 +54,10 @@ ovn_install_dir () {
     [ "${OVN_USER##*:}" != "" ] && INSTALL_GROUP="${OVN_USER##*:}"
 
     if test ! -d "$DIR"; then
-        install -d -m "$INSTALL_MODE" -o "$INSTALL_USER" -g "$INSTALL_GROUP" "$DIR"
+        mkdir -p "$DIR"
+        chmod "$INSTALL_MODE" "$DIR"
+        chown "$INSTALL_USER" "$DIR"
+        chgrp "$INSTALL_GROUP" "$DIR"
         restorecon "$DIR" >/dev/null 2>&1
     fi
 }
